# EventException : Object
Return to: HTML DOM Level 2 index

Exception or error thrown by an event.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | 4.0+ | 7.0+ | no

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
EventException Constructor() : EventException Exception or error thrown by an event. | Show Details | no | 1.0+ | 4.0+ | 7.0+ | no

### EventException() : EventException

Exception or error thrown by an event.

Returns

EventException |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
UNSPECIFIED_EVENT_TYPE_ERR : Number Raised if the Event object has an uninitialized, null, or empty type value. | No Details | no | 1.0+ | 4.0+ | 7.0+ | no

code : Number Error code that provides information about the exception. See Remarks for details. | Show Details | no | 1.0+ | 4.0+ | 7.0+ | no

Remarks

  The following constant is the only current valid value for `code`:

  - `UNSPECIFIED_EVENT_TYPE_ERR = 0` - Indicates that the event has an uninitialized, null, or empty `type` property.
Availability

  HTML DOM Level 2|W3C

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs